Subject: bug#44053: ‘xdg-mime-database’ profile hook is slow

From: Ludovic Courtès <[email-masked]>
Date: Sun, 08 Nov 2020 17:31:55 +0100

Hi,

Luis Felipe <[email-masked]> skribis:

> Compared to grafting, the last step "construyendo perfil con X paquetes..." ("building profile with X packages..."), just stays there without change for several minutes, so it actually seems slower to me. Initially, I thought that guix had frozen.
>
> Also, even though, the "building profile" step has a throbber (| / - \) to indicate that something is being done, it frequently stops in one of the frames of the sequence and stays there until the end.

Interesting, so we should profile that step and see what can be done.  I
suspect it’s I/O-bound, but maybe we can at least improve feedback.

Thanks,
Ludo’.